'use strict'
const merge = require('webpack-merge')
const prodEnv = require('./prod.env')

let params = process.argv[4]
let baseUrl = ''
switch (params) {
  case '--env=uat':
    //baseUrl = '"http://uat.m.jzlives.cn/servantequityservice"'
    baseUrl = '"https://uat.jzmall.lifejingzhi.com/h5"'
    break
  case '--env=prod':
    baseUrl = '"https://mall.zhaijieshi.cc/h5"'
    break
  default:
    //baseUrl = '"http://uat.m.jzlives.cn/servantequityservice"'
    baseUrl = '"https://uat.jzmall.lifejingzhi.com/h5"'
}
module.exports = merge(prodEnv, {
  NODE_ENV: '"development"',
  baseUrl: baseUrl
})
